{# templates/filterCar.twig #}

<form class="form-inline pr-4" action="{{ path('app_filtered_bikes') }}" method="post">
	<div class="d-flex flex-column">

		<div class="row mb-3">
			<div class="col-12">
				<p class="pt-3">Types de carburants</p>
			</div>
			<div class="col-12">
				<select class="form-select" aria-label="Default select example" name="fuelType">
					<option selected value="1">Tous les carburants</option>
					{% set uniqueFuelTypes = [] %}
					{% for car in bikes %}
						{% if car.vehicleFiltersId.fueltype not in uniqueFuelTypes %}
							{% set uniqueFuelTypes = uniqueFuelTypes|merge([car.vehicleFiltersId.fueltype]) %}
							<option value="{{ car.vehicleFiltersId.fueltype }}">{{ car.vehicleFiltersId.fueltype }}</option>
						{% endif %}
					{% endfor %}
				</select>
			</div>
		</div>

		<div class="row mb-3">
			<div class="col-12">
				<p class="pt-3">Marques</p>
			</div>
			<div class="col-12">
				<select class="form-select" aria-label="Default select example" name="constructor">
					<option selected value="1">Toutes les marques</option>
					{% set uniqueConstructors = [] %}
					{% for car in bikes %}
						{% if car.vehicleFiltersId.constructor not in uniqueConstructors %}
							{% set uniqueConstructors = uniqueConstructors|merge([car.vehicleFiltersId.constructor]) %}
							<option value="{{ car.vehicleFiltersId.constructor }}">{{ car.vehicleFiltersId.constructor }}</option>
						{% endif %}
					{% endfor %}
				</select>
			</div>
		</div>

		<div class="row mb-3">
			<div class="col-12">
				<p class="pt-3">Modèles</p>
			</div>
			<div class="col-12">
				<select class="form-select" aria-label="Default select example" name="model">
					<option selected value="1">Tous les modèles</option>
					{% set uniqueModels = [] %}
					{% for car in bikes %}
						{% if car.vehicleFiltersId.model not in uniqueModels %}
							{% set uniqueModels = uniqueModels|merge([car.vehicleFiltersId.model]) %}
							<option value="{{ car.vehicleFiltersId.model }}">{{ car.vehicleFiltersId.model }}</option>
						{% endif %}
					{% endfor %}
				</select>
			</div>
		</div>

		<div class="row mb-3">
			<div class="col-12">
				<p class="pt-3">Cylindre</p>
			</div>
			<div class="col-lg-6 col-md-12">
				<label for="minCylindre">Minimum:</label>
				<input type="number" class="form-control col-12" name="minCylindre" id="minCylindre" placeholder="Min"/>
			</div>
			<div class="col-lg-6 col-md-12">
				<label for="maxCylindre">Maximum:</label>
				<input type="number" class="form-control col-12" name="maxCylindre" id="maxCylindre" placeholder="Max"/>
			</div>
		</div>

		<div class="row mb-3">
			<div class="col-12">
				<p class="pt-3">Tarif</p>
			</div>
			<div class="col-lg-6 col-md-12">
				<label for="minPrice">Minimum:</label>
				<input type="number" class="form-control col-12" name="minPrice" id="minPrice" placeholder="Min"/>
			</div>
			<div class="col-lg-6 col-md-12">
				<label for="maxPrice">Maximum:</label>
				<input type="number" class="form-control col-12" name="maxPrice" id="maxPrice" placeholder="Max"/>
			</div>
		</div>

		<div class="row mb-3">
			<div class="col-12">
				<p class="pt-3">Kilométrage</p>
			</div>
			<div class="col-lg-6 col-md-12">
				<label for="minKilometer">Minimum:</label>
				<input type="number" class="form-control col-12" name="minKilometer" id="minKilometer" placeholder="Min"/>
			</div>
			<div class="col-lg-6 col-md-12">
				<label for="maxKilometer">Maximum:</label>
				<input type="number" class="form-control col-12" name="maxKilometer" id="maxKilometer" placeholder="Max"/>
			</div>
		</div>

		<div class="row mb-3">
			<div class="col-12">
				<p class="pt-3">Année</p>
			</div>
			<div class="col-lg-6 col-md-12">
				<label for="minYear">Minimum:</label>
				<input type="number" class="form-control col-12" name="minYear" id="minYear" placeholder="Min"/>
			</div>
			<div class="col-lg-6 col-md-12">
				<label for="maxYear">Maximum:</label>
				<input type="number" class="form-control col-12" name="maxYear" id="maxYear" placeholder="Max"/>
			</div>
		</div>

		<div class="row">
			<div class="col-12">
				<div class="d-flex flex-column justify-content-around pt-3">
					<a href="{{path('app_listing_bikes')}}" class="text-center text-dark text-decoration-underline mb-3">Réinitialiser</a>
					<button type="submit" class="btn btnR">Filtrer</button>
				</div>
			</div>
		</div>
	</div>
</form>
